Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.pdfview.colorspace
Class CalRGBColor

    java.lang.Object
      java.awt.color.ColorSpace
          com.sun.pdfview.colorspace.CalRGBColor

All Implemented Interfaces:
  java.io.Serializable

    public class CalRGBColor

extends java.awt.color.ColorSpace

A ColorSpace for calibrated RGB

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.awt.color.ColorSpace
`CS_CIEXYZ, CS_GRAY, CS_LINEAR_RGB, CS_PYCC, CS_sRGB, TYPE_2CLR, TYPE_3CLR, TYPE_4CLR, TYPE_5CLR, TYPE_6CLR, TYPE_7CLR, TYPE_8CLR, TYPE_9CLR, TYPE_ACLR, TYPE_BCLR, TYPE_CCLR, TYPE_CMY, TYPE_CMYK, TYPE_DCLR, TYPE_ECLR, TYPE_FCLR, TYPE_GRAY, TYPE_HLS, TYPE_HSV, TYPE_Lab, TYPE_Luv, TYPE_RGB, TYPE_XYZ, TYPE_YCbCr, TYPE_Yxy`

Constructor Summary
`CalRGBColor(PDFObject obj)` Create a new Calibrated RGB color space object, given the description in a PDF dictionary.

Method Summary
`float[]` | `fromCIEXYZ(float[] colorvalue)` convert from CIEXYZ to Calibrated RGB.
`float[]` | `fromRGB(float[] rgbvalue)` convert from RGB to Calibrated RGB.
`int` | `getNumComponents()` get the number of components (3)
`int` | `getType()` get the type of this color space (TYPE_RGB)
`float[]` | `toCIEXYZ(float[] colorvalue)` convert from Calibrated RGB to CIEXYZ.
`float[]` | `toRGB(float[] comp)` convert from Calibrated RGB to standard RGB

Methods inherited from class java.awt.color.ColorSpace
`getInstance, getMaxValue, getMinValue, getName, isCS_sRGB`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CalRGBColor

    public CalRGBColor(PDFObject obj)
                throws java.io.IOException

  Create a new Calibrated RGB color space object, given the description in a PDF dictionary.

  Parameters:
    `obj` - a dictionary that contains an array of 3 Numbers for "WhitePoint" and "BlackPoint", a Number for "Gamma", and an array of 9 Numbers for "Matrix".
  Throws:
    `java.io.IOException`

Method Detail

### getNumComponents

    public int getNumComponents()

  get the number of components (3)

  Overrides:
    `getNumComponents` in class `java.awt.color.ColorSpace`

### toRGB

    public float[] toRGB(float[] comp)

  convert from Calibrated RGB to standard RGB

  Specified by:
    `toRGB` in class `java.awt.color.ColorSpace`
  Parameters:
    `comp` - the Calibrated RGB values (0-1)
  Returns:
    the RGB values (0-1)

### fromRGB

    public float[] fromRGB(float[] rgbvalue)

  convert from RGB to Calibrated RGB. NOT IMPLEMENTED

  Specified by:
    `fromRGB` in class `java.awt.color.ColorSpace`

### fromCIEXYZ

    public float[] fromCIEXYZ(float[] colorvalue)

  convert from CIEXYZ to Calibrated RGB. NOT IMPLEMENTED

  Specified by:
    `fromCIEXYZ` in class `java.awt.color.ColorSpace`

### getType

    public int getType()

  get the type of this color space (TYPE_RGB)

  Overrides:
    `getType` in class `java.awt.color.ColorSpace`

### toCIEXYZ

    public float[] toCIEXYZ(float[] colorvalue)

  convert from Calibrated RGB to CIEXYZ. NOT IMPLEMENTED

  Specified by:
    `toCIEXYZ` in class `java.awt.color.ColorSpace`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD